| GET | /RestApi/diagnostics/methods |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| RootOperationId | query | Guid | No | |
| Category | query | string | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Items | form | IEnumerable<MethodViewModel> | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Id | form | Guid | No | |
| RootOperationId | form | Guid | No | |
| ParentOperationId | form | Guid | No | |
| Method | form | string | No | |
| Start | form | DateTime? | No | |
| End | form | DateTime? | No | |
| Duration | form | double? | No | |
| QueryCount | form | int | No | |
| HasChildren | form | bool | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/diagnostics/methods HTTP/1.1 Host: www.asg.com.au Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
{}